<?php
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 *
 * @link              https://wondercode.pro/
 * @since             1.0.0
 * @package           Awesome_Designs_For_Woocommerce
 *
 * @wordpress-plugin
 * Plugin Name:       Awesome designs for WooCommerce
 * Plugin URI:        https://wondercode.pro/
 * Description:       Powerful plugin that allows you to transform the appearance of your WooCommerce store effortlessly.
 * Version:           1.0.0
 * Author:            Mcurly
 * Author URI:        https://wondercode.pro//
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       awesome-designs-for-woocommerce
 * Domain Path:       /languages
 */

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'AWESOME_DESIGNS_FOR_WOOCOMMERCE_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-awesome-designs-for-woocommerce-activator.php
 */
function awesome_designs_for_woocommerce_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-awesome-designs-for-woocommerce-activator.php';
	Awesome_Designs_For_Woocommerce_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-awesome-designs-for-woocommerce-deactivator.php
 */
function awesome_designs_for_woocommerce_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-awesome-designs-for-woocommerce-deactivator.php';
	Awesome_Designs_For_Woocommerce_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'awesome_designs_for_woocommerce_activate' );
register_deactivation_hook( __FILE__, 'awesome_designs_for_woocommerce_deactivate' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-awesome-designs-for-woocommerce.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function awesome_designs_for_woocommerce_run() {

	$plugin = new Awesome_Designs_For_Woocommerce();
	$plugin->run();

}
awesome_designs_for_woocommerce_run();